import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import {rules} from "/@/utils/helper/validator";

//列表数据
export const columns: BasicColumn[] = [
   {
    title: '中药名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '拼音',
    align:"center",
    dataIndex: 'pinyin'
   },
   {
    title: '别名',
    align:"center",
    dataIndex: 'alias'
   },
   {
    title: '英文名',
    align:"center",
    dataIndex: 'english'
   },
  {
    title: '药材分类',
    align: 'center',
    dataIndex: 'type_dictText',
  },
   {
    title: '药用部位',
    align:"center",
    dataIndex: 'parts'
   },
   {
    title: '植物形态',
    align:"center",
    dataIndex: 'morphology'
   },
   {
    title: '产地分布',
    align:"center",
    dataIndex: 'origin'
   },
   {
    title: '采收加工',
    align:"center",
    dataIndex: 'harvest'
   },
   {
    title: '药材性状',
    align:"center",
    dataIndex: 'characterDrug'
   },
   {
    title: '性味归经',
    align:"center",
    dataIndex: 'famt'
   },
   {
    title: '功效与作用',
    align:"center",
    dataIndex: 'efficacy'
   },
   {
    title: '临床应用',
    align:"center",
    dataIndex: 'clinical'
   },
   {
    title: '药理研究',
    align:"center",
    dataIndex: 'pharmacological'
   },
   {
    title: '主要成分',
    align:"center",
    dataIndex: 'bases'
   },
   {
    title: '使用禁忌',
    align:"center",
    dataIndex: 'usageTaboo'
   },
  //  {
  //   title: '租户id',
  //   align:"center",
  //   dataIndex: 'tenantId'
  //  },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "中药名",
      field: 'name',
      component: 'JInput',
      colProps: {span: 6},
 	},
	{
      label: "拼音",
      field: 'pinyin',
      component: 'JInput',
      colProps: {span: 6},
 	},
	{
      label: "别名",
      field: 'alias',
      component: 'JInput',
      colProps: {span: 6},
 	},
	// {
  //     label: "英文名",
  //     field: 'english',
  //     component: 'JInput',
  //     colProps: {span: 6},
 	// },
	// {
  //     label: "产地分布",
  //     field: 'origin',
  //     component: 'JInput',
  //     colProps: {span: 6},
 	// },
	// {
  //     label: "功效与作用",
  //     field: 'efficacy',
  //     component: 'JInput',
  //     colProps: {span: 6},
 	// },
  {
    label: '药材分类',
    field: 'type',
    component: 'JTreeSelect',
    componentProps: {
      dict: 'dry_herb_type,name,id',
      pidField: 'pid',
      hasChildField: 'has_child',
      converIsLeafVal: 1,
    },
    colProps: { span: 6 },
  },
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '中药名',
    field: 'name',
    component: 'Input',
    dynamicRules: ({ model, schema }) => {
      return [{ required: true, message: '请输入药材名称!' }, { ...rules.duplicateCheckRule('dry_herb_info', 'name', model, schema)[0] }]
    },
  },
  {
    label: '拼音',
    field: 'pinyin',
    component: 'Input',
    dynamicRules: ({ model, schema }) => {
      return [{ required: true, message: '请输入药材拼音!' }, { ...rules.duplicateCheckRule('dry_herb_info', 'pinyin', model, schema)[0] }]
    },
  },
  {
    label: '别名',
    field: 'alias',
    component: 'Input',
  },
  {
    label: '英文名',
    field: 'english',
    component: 'Input',
  },
  {
    label: '药材分类',
    field: 'type',
    component: 'JTreeSelect',
    componentProps: {
      dict: 'dry_herb_type,name,id',
      pidField: 'pid',
      hasChildField: 'has_child',
      converIsLeafVal: 1,
    },
    dynamicRules: ({ model, schema }) => {
      return [{ required: true, message: '请输入药材分类!' }]
    },
  },
  {
    label: '药用部位',
    field: 'parts',
    component: 'Input',
  },
  {
    label: '植物形态',
    field: 'morphology',
    component: 'Input',
  },
  {
    label: '产地分布',
    field: 'origin',
    component: 'Input',
  },
  {
    label: '采收加工',
    field: 'harvest',
    component: 'Input',
  },
  {
    label: '药材性状',
    field: 'characterDrug',
    component: 'Input',
  },
  {
    label: '性味归经',
    field: 'famt',
    component: 'Input',
  },
  {
    label: '功效与作用',
    field: 'efficacy',
    component: 'Input',
  },
  {
    label: '临床应用',
    field: 'clinical',
    component: 'Input',
  },
  {
    label: '药理研究',
    field: 'pharmacological',
    component: 'Input',
  },
  {
    label: '主要成分',
    field: 'bases',
    component: 'Input',
  },
  {
    label: '使用禁忌',
    field: 'usageTaboo',
    component: 'Input',
  },
  // {
  //   label: '租户id',
  //   field: 'tenantId',
  //   component: 'InputNumber',
  // },
	// TODO 主键隐藏字段，目前写死为ID
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];



/**
* 流程表单调用这个方法获取formSchema
* @param param
*/
export function getBpmFormSchema(_formData): FormSchema[]{
  // 默认和原始表单保持一致 如果流程中配置了权限数据，这里需要单独处理formSchema
  return formSchema;
}
